Subject: Re: [PATCH] git-fetch: Avoid reading packed refs over and over again

From: Han-Wen Nienhuys <[email-masked]>
Date: Sat, 30 Dec 2006 20:04:23 +0100

Johannes Schindelin escreveu:
> 
> Here you have to check first, if len > 3. Strictly speaking, there should 
> not be any line coming in which is shorter than 42 bytes. But I was 
> recentely bitten by such an assuption...
> 
> Overall, I like it. I even have the impression that this could actually 
> open a way to build in fetch instead of relying on a POSIX conformant and 
> fast shell for such a central part of git.

is there any chance of this going in GIT 1.5.0 ? It's not in the rc0 release.

-- 
 Han-Wen Nienhuys - [email-masked] - http://www.xs4all.nl/~hanwen